<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.AddProducts</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Add Product</description>
<arguments>
<argument index="1" name="Station" type="Var/Station" desc="Station" />
<argument index="2" name="Ware" type="Var/Ware" desc="Ware" />
<argument index="3" name="Amount" type="Var/Number" desc="Amount" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>if&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="002" indent="&#160;"><var>$Station&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Ware</var></line>
<line linenr="003" indent="&#160;"><var>$M.Type&#160;=&#160;</var><text>&#160;get&#160;maintype&#160;of&#160;ware&#160;</text><var>$Ware</var></line>
<line linenr="004" indent="&#160;"><var>$Free&#160;=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="005" indent="&#160;"><var>if&#160;</var><var>$M.Type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>7</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$M.Type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>16</var></line>
<line linenr="006" indent="&#160;&#160;"><var>=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="007" indent="&#160;"><var>else&#160;if&#160;</var><var>$Amount</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Amount</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$Free</var></line>
<line linenr="008" indent="&#160;&#160;"><var>=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;add&#160;</text><var>$Amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="009" indent="&#160;"><var>else&#160;if&#160;</var><var>$Amount</var></line>
<line linenr="010" indent="&#160;&#160;"><var>=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;add&#160;</text><var>$Free</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="011" indent="&#160;"><var>else&#160;if&#160;</var><var>$Free</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Free</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>2</var></line>
<line linenr="012" indent="&#160;&#160;"><var>$Amount&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$Free</var><text>&#160;-&#160;1</text></line>
<line linenr="013" indent="&#160;&#160;"><var>=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;add&#160;</text><var>$Amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="014" indent="&#160;"><text>else</text></line>
<line linenr="015" indent="&#160;&#160;"><var>=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;add&#160;</text><var>$Free</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="016" indent="&#160;"><text>end</text></line>
<line linenr="017" indent=""><text>end</text></line>
<line linenr="018" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.AddProducts" /><sval type="int" val="30" /><sval type="string" val="Add Product" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="5"><sval type="string" val="Station" /><sval type="string" val="Ware" /><sval type="string" val="Amount" /><sval type="string" val="M.Type" /><sval type="string" val="Free" /></sval><sval type="array" size="19"><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610608125" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="655" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610610941" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="18" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610610171" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="5" /><sval type="int" val="-3" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="18" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609403" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="18" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610608379" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="4" /><sval type="int" val="-3" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="18" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="Station" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="Ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Amount" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
